using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace CafeTerrace.Views.PopUps
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class QuestionPopUp : ContentView
    {
        public event EventHandler Accepted;
        public event EventHandler Canceled;
        public QuestionPopUp()
        {
            InitializeComponent();
        }
        public QuestionPopUp(string message)
        {
            InitializeComponent();
            messageLabel.Text = message;
        }

        private void AcceptButton_OnClicked(object sender, EventArgs e)
        {
            Accepted?.Invoke(this,new EventArgs());
        }

        private void CancelButton_OnClicked(object sender, EventArgs e)
        {
            Canceled?.Invoke(this, new EventArgs());
        }
    }
}